Subject: Re: bug#15576: 24.3.50; Some minor issues regarding the new TTY menus

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Oct 2013 23:26:15 +0300

severity 15576 wishlist
thanks

> Date: Wed, 9 Oct 2013 22:11:48 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> I think "Select Buffer" is wrong simply because it is different from
> "Buffers".  I mean, what is the point of showing one text (Buffers)
> when the menu is not selected, and another text (Select Buffer) when
> it is?

I don't know.  Perhaps someone thought of this as a prompt.

Anyway, the way to change that is in menu-bar.el, where the menu is
constructed.

> >> As you can see, the "elp" string at the right side looks weird.
> >
> > It doesn't look weird to me, but I'm used to this.
> 
> ?? What sense does it make to show that residual "elp" string at the
> right of the "Help" header?

The same sense as does showing the text under the menu, which is also
partially obscured.

You seem to think about "Help" on the menu bar as part of the dropped
menu.  But it isn't: it is just part of the normal TTY frame display,
like the text in the text area.  They both are partially obscured by
the menu.

> > Try clicking the
> > mouse on the menu bar, somewhere within the "Help" string, and you
> > will see that the menu is dropped where the mouse clicks, not
> > necessarily where the "Help" is.
> 
> The mouse doesn't work here (on a TTY session).

I thought you were on Windows.  If not, try there, the mouse should
work for dropping menus.

> >> 3. From a GUI session, disable menu-bar-mode and type F10.  I see that
> >> the old text mode menu is shown.  Why not show the new drop-down text
> >> menu instead?
> >
> > Because the code for the new drop-down text menu will not work in the
> > GUI session.  The internals of the display engine which the menu code
> > piggy-backs are completely different in the GUI mode.
> 
> That's a pity.  It would be nice to have those drop-down text menus
> also on GUI sessions.  Then consider this point a feature request then
> (who knows, perhaps some day it might be implemented).
> 
> > I tend to close this as not-a-bug.  Any reasons not to?
> 
> See above, but you are the maintainer, so you decide.

Well, you have wishlist now.  Volunteers are welcome to implement
those changes.